Snapvisor Docs

Create a review on a build

Submit a review on a build to approve or reject the changes it captured.

POST
/projects/{owner}/{project}/builds/{buildNumber}/reviews

Submit a review on a build to approve or reject the changes it captured.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
buildNumber*string

The build number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/builds/string/reviews" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "buildId": "string",  "state": "approved",  "user": {    "id": "string",    "slug": "string",    "name": "string"  },  "dismissedAt": "string",  "dismissedBy": {    "id": "string",    "slug": "string",    "name": "string"  },  "date": "string"}